Bug 13991 - Uninitialized value $src in /tools/viewlog.pl
Summary: Uninitialized value $src in /tools/viewlog.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-14 05:15 UTC by Marc Véron
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13991 - Uninitialized value $src in /tools/viewlog.pl (1.28 KB, patch)
2015-04-14 05:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13991 - Uninitialized value $src in /tools/viewlog.pl (1.44 KB, patch)
2015-04-14 09:42 UTC, Andreas Hedström Mace
Details | Diff | Splinter Review
[PASSED QA] Bug 13991 - Uninitialized value $src in /tools/viewlog.pl (1.50 KB, patch)
2015-04-15 20:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13991: (QA followup) uninitialized value and [0] in /tools/viewlog.pl (1.34 KB, patch)
2015-04-16 16:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-04-14 05:15:57 UTC
To reproduce:

Go to Home > Tools > Logs
Check intranet-error.log. 
You will find a line similar to:
viewlog.pl: Use of uninitialized value $src in string eq at (...)/tools/viewlog.pl line 70., referer: http://(...)/cgi-bin/koha/tools/tools-home.pl

Reason: 
Line 57
my $src      = $input->param("src");
Param is not always defined.
Comment 1 Marc Véron 2015-04-14 05:28:57 UTC Comment hidden (obsolete)
Comment 2 Andreas Hedström Mace 2015-04-14 09:42:41 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-15 20:48:36 UTC
Created attachment 37922 [details] [review]
[PASSED QA] Bug 13991 - Uninitialized value $src in /tools/viewlog.pl

To reproduce:

Go to Home > Tools > Logs
Check intranet-error.log.
You will find a line similar to:
viewlog.pl: Use of uninitialized value $src in string eq at (...)/tools/viewlog.pl line 70., referer: http://(...)/cgi-bin/koha/tools/tools-home.pl

To test:
Apply patch.
Verify that no more warnings appear in intranet-error.log
Verify that the log viewer behaves as before.

Signed-off-by: Andreas Hedström Mace <andreas.hedstrom.mace@sub.su.se>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-04-16 16:55:35 UTC
Created attachment 37980 [details] [review]
Bug 13991: (QA followup) uninitialized value  and [0] in /tools/viewlog.pl

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 5 Tomás Cohen Arazi 2015-04-16 17:24:03 UTC
Patch pushed to master.

Thanks Marc!
Comment 6 Chris Cormack 2015-04-21 23:13:44 UTC
Pushed to 3.18.x will be in 3.18.6